SalesOS.

Contacts

Contact records and relationships

Contacts Controller_list Contacts

GET
/api/contacts

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

accountIdRequiredstring
searchRequiredstring
curl -X GET "https://www.salesos.org/api/api/contacts?accountId=%3Cstring%3E&search=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Contacts Controller_create Contact

POST
/api/contacts

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/contacts" \
  -H "Authorization: Bearer <token>"

Contacts Controller_get Contact Stats

GET
/api/contacts/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/contacts/stats" \
  -H "Authorization: Bearer <token>"

Contacts Controller_get Contact

GET
/api/contacts/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/contacts/<string>" \
  -H "Authorization: Bearer <token>"

Contacts Controller_update Contact

PATCH
/api/contacts/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X PATCH "https://www.salesos.org/api/api/contacts/<string>" \
  -H "Authorization: Bearer <token>"

Contacts Controller_delete Contact

DELETE
/api/contacts/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://www.salesos.org/api/api/contacts/<string>" \
  -H "Authorization: Bearer <token>"

Contacts Controller_get Contact Opportunities

GET
/api/contacts/{id}/opportunities

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/contacts/<string>/opportunities" \
  -H "Authorization: Bearer <token>"

Contacts Controller_bulk Update

POST
/api/contacts/bulk/update

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/contacts/bulk/update" \
  -H "Authorization: Bearer <token>"

Contacts Controller_bulk Delete

POST
/api/contacts/bulk/delete

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/contacts/bulk/delete" \
  -H "Authorization: Bearer <token>"

Contacts Controller_bulk Assign

POST
/api/contacts/bulk/assign

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/contacts/bulk/assign" \
  -H "Authorization: Bearer <token>"